/*
 * @(#) JClientInterceptorHelper.java	1.0 02/07/15
 *
 * Copyright (C) 2002 - INRIA (www.inria.fr)
 *
 * CAROL: Common Architecture for RMI ObjectWeb Layer
 *
 * This library is developed inside the ObjectWeb Consortium,
 * http://www.objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * 
 *
 */
package org.objectweb.carol.rmi.jrmp.interceptor;

//java import
import java.io.Serializable;

/** 
 * Class <code>JServiceContext</code> is the CAROL JRMP Service context
 * Unlike IIOP the class isn't static final, you can use inheritance mechanisme for context propagation 
 * 
 * @author  Guillaume Riviere (Guillaume.Riviere@inrialpes.fr)
 * @version 1.0, 15/07/2002
 */
public class JServiceContext implements Serializable {
    
    /**
     * Construct an empty service context
     */
    public JServiceContext() {
    }

    /**
     * constructor
     * @param int the context_id
     * @param byte[] the context data
     */
    public JServiceContext(int context_id, byte[] context_data) {
	this.context_id = context_id;
	this.context_data = context_data;
    }

    /**
     * the JServiceContext id 
     */ 
    public int context_id;
	

    /**
     * the JServiceContext data
     */
    public byte[] context_data;
}
